<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_80e7ee43fdf838101a" . "2303a7b4a50efc" => base64_decode("dG9fZm9sZGVy" . "X2lk"), "typ" . "e" => base64_decode("dH" . "lw" . "ZQ" . "=="), "_939c6a45ff74" . "323dbef487ed1" . "5753a7c" => base64_decode("c3R" . "hdG" . "U="), "_32155ccb342f" . "199043093041c" . "1b3bb57" => base64_decode("ZnJvbV9mb2xkZXJfaW" . "Q="), "_2e858fb19" . "73337f53ff" . "85c104fcb3" . "8f4" => base64_decode("cHVi" . "bGlz" . "aGVk"), "_d0845bff5cd0ddb5" . "ed1d7bd9db996f51" => base64_decode("c291cm" . "Nl"), "_4c760fb02a49c55509ba087b84" . "fbda45" => base64_decode("ZHJ" . "hZn" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_939c6a45ff74323dbef487" . "ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_939c6a45ff74323dbef487ed15" . "753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4c760fb02a49c55509ba087b84" . "fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2e858fb197333" . "7f53ff85c104fc" . "b38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["ty" . "pe"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d0845bff5c" . "d0ddb5ed1d7" . "bd9db996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_32155ccb" . "342f19904" . "3093041c1" . "b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_80e7ee43f" . "df838101a2" . "303a7b4a50" . "efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}